Get image transformation job
This API is currently provided as a preview. Be aware of the following:
- There might be unannounced breaking changes.
- Any breaking changes to preview APIs won't produce a new API version.
- Public apps that use preview APIs will not pass the review process, and can't be made available to all Canva users.
Gets the result of an image transformation job that was created using the Create image transformation job API.
If the job is successful, the job's result contains the new image asset produced by the transformations.
You might need to make multiple requests to this endpoint until you get a success or failed status. For more information on the workflow for using asynchronous jobs, see API requests and responses.
HTTP method and URL path
https://api.canva.com /rest /v1 /image-transformations/{jobId}This operation is rate limited to 120 requests per minute for each user of your app.
Authentication and authorization
This endpoint requires a valid access token that acts on behalf of a user.
Scopes
The access token must have all the following scopes (permissions):
asset:read
Header parameters
Path parameters
jobIdstringThe image transformation job ID.
Example request
Examples for using the /v1/image-transformations/{jobId} endpoint:
curl --request GET 'https://api.canva.com/rest/v1/image-transformations/{jobId}' \--header 'Authorization: Bearer {token}'
const fetch = require("node-fetch");fetch("https://api.canva.com/rest/v1/image-transformations/{jobId}", {method: "GET",headers: {"Authorization": "Bearer {token}",},}).then(async (response) => {const data = await response.json();console.log(data);}).catch(err => console.error(err));
import java.io.IOException;import java.net.URI;import java.net.http.*;public class ApiExample {public static void main(String[] args) throws IOException, InterruptedException {HttpRequest request = HttpRequest.newBuilder().uri(URI.create("https://api.canva.com/rest/v1/image-transformations/{jobId}")).header("Authorization", "Bearer {token}").method("GET", HttpRequest.BodyPublishers.noBody()).build();HttpResponse<String> response = HttpClient.newHttpClient().send(request,HttpResponse.BodyHandlers.ofString());System.out.println(response.body());}}
import requestsheaders = {"Authorization": "Bearer {token}"}response = requests.get("https://api.canva.com/rest/v1/image-transformations/{jobId}",headers=headers)print(response.json())
using System.Net.Http;var client = new HttpClient();var request = new HttpRequestMessage{Method = HttpMethod.Get,RequestUri = new Uri("https://api.canva.com/rest/v1/image-transformations/{jobId}"),Headers ={{ "Authorization", "Bearer {token}" },},};using (var response = await client.SendAsync(request)){response.EnsureSuccessStatusCode();var body = await response.Content.ReadAsStringAsync();Console.WriteLine(body);};
package mainimport ("fmt""io""net/http")func main() {url := "https://api.canva.com/rest/v1/image-transformations/{jobId}"req, _ := http.NewRequest("GET", url, nil)req.Header.Add("Authorization", "Bearer {token}")res, _ := http.DefaultClient.Do(req)defer res.Body.Close()body, _ := io.ReadAll(res.Body)fmt.Println(string(body))}
$curl = curl_init();curl_setopt_array($curl, array(CURLOPT_URL => "https://api.canva.com/rest/v1/image-transformations/{jobId}",CURLOPT_CUSTOMREQUEST => "GET",CURLOPT_RETURNTRANSFER => true,CURLOPT_HTTPHEADER => array('Authorization: Bearer {token}',),));$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if (empty($err)) {echo $response;} else {echo "Error: " . $err;}
require 'net/http'require 'uri'url = URI('https://api.canva.com/rest/v1/image-transformations/{jobId}')http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request['Authorization'] = 'Bearer {token}'response = http.request(request)puts response.read_body
Success response
If successful, the endpoint returns a 200 response with a JSON body with the following parameters:
jobImageTransformationJobDetails about the image transformation job. If the job status is success, the job's
result is present.
statusstringThe status of the image transformation job. A newly created job will be in_progress
and will eventually become success or failed. A job may also complete
immediately, returning success or failed from job creation. If the status is
success, the job's result is present.
Available values:
failedin_progresssuccess
idstringThe image transformation job ID. Only present if the job status is in_progress.
A job that completes immediately returns its result or error directly and has
no ID to poll.
resultImageTransformationJobResultResult of the image transformation job. Only present if the job status is success.
assetobjectThe new image asset produced by applying all of the requested transformations.
typestringType of an asset.
Available values:
imagevideo
idstringThe ID of the asset.
namestringThe name of the asset.
created_atintegerWhen the asset was added to Canva, as a Unix timestamp (in seconds since the Unix Epoch).
updated_atintegerWhen the asset was last updated in Canva, as a Unix timestamp (in seconds since the Unix Epoch).
ownerTeamUserSummaryMetadata for the user, consisting of the User ID and Team ID.
user_idstringThe ID of the user.
team_idstringThe ID of the user's Canva Team.
thumbnailThumbnailA thumbnail image representing the object.
widthintegerThe width of the thumbnail image in pixels.
heightintegerThe height of the thumbnail image in pixels.
urlstringA URL for retrieving the thumbnail image. This URL expires after 15 minutes. This URL includes a query string that's required for retrieving the thumbnail.
metadataAssetMetadataType-specific metadata for the asset.
typestringAvailable values: The only valid value is image.
widthintegerThe width of the image in pixels.
heightintegerThe height of the image in pixels.
typestringAvailable values: The only valid value is video.
widthintegerThe width of the video in pixels.
heightintegerThe height of the video in pixels.
durationintegerThe duration of the video in seconds.
import_statusImportStatusThe import status of the asset.
statestringState of the import job for an uploaded asset.
Available values:
failedin_progresssuccess
errorImportErrorIf the import fails, this object provides details about the error.
messagestringA human-readable description of what went wrong.
codestringA short string indicating why the upload failed. This field can be used to handle errors programmatically.
Available values:
file_too_bigimport_failed
errorImageTransformationErrorIf the image transformation job fails, this object provides details about the error.
Only present if the job status is failed.
codestringError code indicating what went wrong with the image transformation.
Available values:
no_foreground_found: No foreground subject was found in the image, so there is no background to remove.quota_exceeded: The user has run out of quota, such as their AI credit quota. The quota isn't necessarily specific to the requested transformations.internal_error: An unexpected error occurred during the transformation.
messagestringA human-readable description of what went wrong.
Example responses
In progress job
{"job": {"id": "450a76e7-f96f-43ae-9c37-0e1ce492ac72","status": "in_progress"}}
Successfully completed job
{"job": {"status": "success","result": {"asset": {"id": "Msd59349ff","type": "image","name": "My Awesome Upload with the background removed","tags": ["image","holiday","best day ever"],"owner": {"user_id": "oU123456AbCdE","team_id": "oB123456AbCdE"},"created_at": 1377396000,"updated_at": 1692928800,"thumbnail": {"width": 595,"height": 335,"url": "https://document-export.canva.com/Vczz9/zF9vzVtdADc/2/thumbnail/0001.png?<query-string>"}}}}}
Failed job
{"job": {"status": "failed","error": {"code": "no_foreground_found","message": "No foreground subject was found in the image, so there is no background to remove."}}}
Error responses
401 Unauthorized
codestringA short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.
messagestringA human-readable description of what went wrong.
Example error responses
The OAuth client credentials are invalid
{"code": "invalid_client","message": "Client {clientId} not available"}
Access token could not be decoded or signature could not be verified.
{"code": "invalid_access_token","message": "Access token is invalid"}
Client credentials or body auth are missing from the request
{"code": "invalid_client","message": "Client credentials or body auth are missing from the request."}
Authorization header has wrong number of components
{"code": "invalid_access_token","message": "Malformed Authorization header: wrong number of components"}
Authorization header has invalid mode
{"code": "invalid_access_token","message": "Malformed Authorization header: invalid mode"}
Token couldn't be introspected
{"code": "invalid_access_token","message": "Token couldn't be introspected"}
Access token is revoked
{"code": "revoked_access_token","message": "Access token is revoked"}
Missing Authorization header
{"code": "invalid_access_token","message": "Missing Authorization header"}
Malformed Authorization header
{"code": "invalid_access_token","message": "Malformed Authorization header"}
404 Not Found
codestringA short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.
messagestringA human-readable description of what went wrong.
Example error response
The image transformation job was not found
{"code": "not_found","message": "Image transformation job not found: {jobId}"}
429 Too Many Requests
codestringA short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.
messagestringA human-readable description of what went wrong.
Example error responses
Rate limit exceeded
{"code": "too_many_requests","message": "Too many requests to {operation}"}
Throttled because too many requests
{"code": "too_many_requests","message": "Throttled because too many requests"}